<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/DirectoryLayout/NestedDirectoryLayout.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../DirectoryLayout.html" >DirectoryLayout</a>
</div><div class="class-name">class NestedDirectoryLayout

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/DirectoryLayout.py.html" target="detail">../Synopsis/Formatters/HTML/DirectoryLayout.py</a></div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line137" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="NestedDirectoryLayout-inheritance" src="NestedDirectoryLayout-inheritance.png" hspace="8" vspace="8" border="0" usemap="#NestedDirectoryLayout-inheritance_map" />
<map name="NestedDirectoryLayout-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" href="DirectoryLayout.html" shape="rect" coords="25, 7, 396, 31" />
</map>
 <div class="doc">Organizes files in a directory tree.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope">scope</a>(<span class="variable">self</span>, <span class="variable">scope</span> = <span class="value">None</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scope" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line140" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_index">file_index</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line145" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_source">file_source</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_source" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line149" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="file_details">file_details</a>(<span class="variable">self</span>, <span class="variable">filename</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.file_details" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line153" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="special">special</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line157" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scoped_special">scoped_special</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>, <span class="variable">ext</span> = <span class="value">'.html'</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.scoped_special" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line161" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="xref">xref</a>(<span class="variable">self</span>, <span class="variable">page</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.xref" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line165" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="module_tree">module_tree</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_tree" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line169" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="module_index">module_index</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref9.html#Synopsis.Formatters.HTML.DirectoryLayout.NestedDirectoryLayout.module_index" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/DirectoryLayout.py.html#line173" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Protected Methods Inherited from DirectoryLayout">
<tr><td colspan="2" class="heading">Protected Methods Inherited from DirectoryLayout</td></tr>
<tr><td class="inherited"><a href="DirectoryLayout.html#_strip" title="method DirectoryLayout._strip">_strip</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DirectoryLayout">
<tr><td colspan="2" class="heading">Methods Inherited from DirectoryLayout</td></tr>
<tr><td class="inherited"><a href="DirectoryLayout.html#init" title="method DirectoryLayout.init">init</a>,
<a href="DirectoryLayout.html#copy_file" title="method DirectoryLayout.copy_file">copy_file</a>,
<a href="DirectoryLayout.html#index" title="method DirectoryLayout.index">index</a>,
<a href="DirectoryLayout.html#link" title="method DirectoryLayout.link">link</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
